LIBMTP_raw_device_struct Struct Reference
libmtp data structures

`#include <libmtp.h>`

## Data Fields

LIBMTP_device_entry_t | device_entry
uint32_t | bus_location
uint8_t | devnum

## Detailed Description

A data structure to hold a raw MTP device connected to the bus.

Examples
  detect.c, files.c, folders.c, and tracks.c.

## Field Documentation

## bus_location

uint32_t LIBMTP_raw_device_struct::bus_location

Location of the bus, if device available

Referenced by dump_usbinfo(), LIBMTP_Detect_Raw_Devices(), LIBMTP_Detect_Raw_Devices(), and LIBMTP_Open_Raw_Device_Uncached().

## device_entry

LIBMTP_device_entry_t LIBMTP_raw_device_struct::device_entry

The device entry for this raw device

Referenced by configure_usb_device(), dump_usbinfo(), LIBMTP_Detect_Raw_Devices(), LIBMTP_Detect_Raw_Devices(), and LIBMTP_Open_Raw_Device_Uncached().

## devnum

uint8_t LIBMTP_raw_device_struct::devnum

Device number on the bus, if device available

Referenced by dump_usbinfo(), LIBMTP_Detect_Raw_Devices(), LIBMTP_Detect_Raw_Devices(), and LIBMTP_Open_Raw_Device_Uncached().

The documentation for this struct was generated from the following file:

- libmtp.h